
# Create Socket App <a href="https://sockets.sh/"><img src="https://img.shields.io/badge/Socket%20Runtime-Website-black?style=flat-square"></a> 
    
`Create Socket App` is similar to React's `Create React App`.  
It will help you build native apps for mobile and desktop with Svelte, Reactjs, Vuejs and others!  
The idea is to provide a few basic boilerplates and some strong opinions so you can get coding on a production quality app as quickly as possible.  

## Set up your Socket environement  

You can find more details about prerequisites, instructions, and many useful tips in [Socket Runtime](https://sockets.sh/) documentation.

## Quick Overview  

```bash
$npx create-socket-app -h

usage: create-socket-app [react | react-ts | svelte | tonic | vanilla | vue]  

```
```
$npx create-socket-app

Creating socket files...OK
Initializing npm package...OK
Installing dependencies...OK
Adding package scripts...OK
Updating project configuration...OK
Copying project boilerplate...OK

Type 'npm start' to launch the app

```  

## Getting Started 

Creat an empty directory and that's it, you are ready to go!

You may choose one of the following methods: 

### **npm**

Any of these following commands will work
```bash
npm init socket-app [react | react-ts | svelte | tonic | vanilla | vue]
npm create socket-app [react | react-ts | svelte | tonic | vanilla | vue]

```
  
### **yarn**
```bash
yarn create socket-app [react | react-ts | svelte | tonic | vanilla | vue]
```

### **pnpm**
```bash
pnpm create socket-app [react | react-ts | svelte | tonic | vanilla | vue]
```  

## Quick Demonstration Video




https://github.com/socketsupply/create-socket-app/assets/79177582/eddfd2f3-bf8f-4727-87a6-5937deb28823




## Output:

Now inside of your directory, you should have a `directory structure` like this:

```bash
.
├── README.md
├── build.js
├── package.json
├── socket.ini
├── src
│   ├── icon.png
│   ├── index.css
│   ├── index.html
│   └── index.js
└── test
    ├── index.js
    └── test-context.js
```

## Contributing 
 
If something doesn't work, please [Create an issue](https://github.com/socketsupply/create-socket-app).  
If you have questions or need help, please join our [Discord](https://discord.com/invite/YPV32gKCsH).
